GET
/
v1
/
automation
/
rules
List automation rules
curl --request GET \
  --url https://api.wazapin.com/v1/automation/rules \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "actions": [
        {
          "type": "<string>",
          "agent_id": "<string>",
          "fixed_agent_id": "<string>",
          "label": "<string>",
          "label_id": "<string>",
          "strategy": "<string>"
        }
      ],
      "created_at": "<string>",
      "created_by": "<string>",
      "enabled": true,
      "id": "<string>",
      "name": "<string>",
      "organization_id": "<string>",
      "scope": {
        "channel_type": "<string>",
        "conversation_id": "<string>"
      },
      "trigger": {
        "event": "<string>",
        "events": [
          "<string>"
        ]
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Session token or API key

Response

OK

data
object[] | null
required